Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.oai
Class LuceneDocumentBaseOAIHarvester

    java.lang.Object
      fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Semaphore
          fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Mutex
              fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLProducer
                  fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLPipe
                      fr.gouv.culture.oai.SynchronizedOAIObjectImpl
                          fr.gouv.culture.oai.AbstractOAIHarvester
                              fr.gouv.culture.sdx.oai.AbstractDocumentBaseOAIHarvester
                                  fr.gouv.culture.sdx.oai.LuceneDocumentBaseOAIHarvester

All Implemented Interfaces:
  EDU.oswego.cs.dl.util.concurrent.Sync, OAIHarvester, OAIObject, DocumentBaseOAIHarvester, Saveable, Target, SynchronizedXMLConsumer, SynchronizedXMLPipe, SynchronizedXMLProducer, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class LuceneDocumentBaseOAIHarvester

extends AbstractDocumentBaseOAIHarvester

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.oai.DocumentBaseOAIHarvester
`DocumentBaseOAIHarvester.ConfigurationNode`

Nested classes/interfaces inherited from interface fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.oai.AbstractDocumentBaseOAIHarvester
`_database, cBytes, defaultTransformerFactory, defaultTransformerIndent, deletedDocs, docbase, docbaseId, ERROR_CODE, fileOs, filesProperties, forceIndexOnHarvestError, FORCEINDEXONHARVESTERROR, harvestDoc, harvesterIdGen, indexAtHarvestEnd, INDEXATHARVESTEND, keepDeletedRecords, keepHarvestedRecords, m_docsaddedIds, m_docsdeletedids, m_docsToDeleteIds, NO_DOCS_DELETED, NO_DOCS_HARVESTED, noDocsDeleted, noHarvestedDocs, noRecordsPerBatch, OAI_FAILED_HARVEST, OAI_FROM, OAI_HARVEST_ID, OAI_HARVESTER_LAST_UPDATED, OAI_HARVESTER_RESUMPTION_TOKEN, OAI_IDENTIFIER, OAI_METADATA_PREFIX, OAI_SET, OAI_UNTIL, OAI_VERB, oaiStripper, pipe, scheduler, storedRequests, storeRepositoriesRefs, tempDir, tempDirBatch, tempDirPath, TEMPFILE_SUFFIX, TRANSFORMER_FACTORY, TRANSFORMER_INDENT, transformerFactory, transformerIndent, urlResource`

Fields inherited from class fr.gouv.culture.oai.AbstractOAIHarvester
`adminEmails, captureElemContent, captureRecord, currentDatestamp, currentMetadtaUrlIdentifier, currentOaiIdentifier, currentOaiStatus, cursor, deleteRecord, errorCode, firstXmlConsumer, identifierName, manager, newRequestUrl, OAI_REPOSITORY_URL, OAI_REQUEST_URL, repoUrl, requestParams, requestUrl, responseDate, resumptionToken, sBuff, userAgent`

Fields inherited from class fr.gouv.culture.oai.SynchronizedOAIObjectImpl
`_context, logger`

Fields inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLProducer
`synchronizedXmlConsumer`

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Fields inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`ONE_CENTURY, ONE_DAY, ONE_HOUR, ONE_MINUTE, ONE_SECOND, ONE_WEEK, ONE_YEAR`

Fields inherited from interface fr.gouv.culture.sdx.utils.save.Saveable
`ALL_SAVE_ATTRIB, PATH_ATTRIB, SAVE_DIRECTORY_PARAM`

Constructor Summary
`LuceneDocumentBaseOAIHarvester(LuceneDocumentBase base)`

Method Summary

Methods inherited from class fr.gouv.culture.sdx.oai.AbstractDocumentBaseOAIHarvester
`backup, captureRecord, captureResourceFromUrlIdentifier, checkGranularity, close, configure, configureAdminEmails, configureDatabase, configureDataProviders, configureHarvestIDGenerator, configurePipeline, configureStoreRepositories, configureTempDir, configureUpdateTriggers, deleteOAIDocuments, deleteTempDir, deleteTempDirBatch, endElement, endHarvest, generateNewHarvestId, getHarvesterId, getIndexParameters, getIsoDate, getNewTempDirBatch, handleResumptionToken, initTempDir, isStartsIndexation, lastUpdated, prepareRecordCapture, prepareRecordForDeletion, prepareResourceFromUrlIdentifierCapture, purgePastHarvestsData, resetAllFields, resetRecordCaptureFields, restore, saveCriticalFields, sendPastHarvestsSummary, sendStoredHarvestingRequests, shouldHarvestDocument, startElement, storeFailedHarvestData, storeHarvestedData, targetTriggered`

Methods inherited from class fr.gouv.culture.oai.AbstractOAIHarvester
`abortRecordCapture, characters, getAdminEmails, getHarvestParameters, handleErrors, receiveRequest, receiveSynchronizedRequest, receiveSynchronizedRequest, recycle, resetResumptionToken, service, setAdminEmails, setConsumer, setIdentifierName, toSAX`

Methods inherited from class fr.gouv.culture.oai.SynchronizedOAIObjectImpl
`contextualize, enableLogging, getContext, sendElement, sendElementContent`

Methods inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLPipe
`acquireSynchronizedXMLConsumer, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, releaseSynchronizedXMLConsumer, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLProducer
`setConsumer`

Methods inherited from class fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Mutex
`acquired, isAcquired`

Methods inherited from class fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Semaphore
`acquire, attempt, getTokens, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.gouv.culture.oai.OAIHarvester
`getAdminEmails, receiveRequest, receiveSynchronizedRequest, receiveSynchronizedRequest, setAdminEmails, setIdentifierName`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLProducer
`acquired, setConsumer`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLConsumer
`acquired`

Methods inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`acquire, attempt, release`

Constructor Detail

### LuceneDocumentBaseOAIHarvester

    public LuceneDocumentBaseOAIHarvester(LuceneDocumentBase base)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.